Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep
Interface PostfixMathCommandI

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  Abs, AbstractInc, Add, ArcCosine, ArcCosineH, ArcSine, ArcSineH, ArcTangent, ArcTangent2, ArcTanH, Arg, Assign, Average, BigDecAdd, BigDecDiv, BigDecMod, BigDecMul, BigDecNegate, BigDecPow, BigDecRelational, BigDecSub, Binomial, BitAnd, BitComp, BitOr, BitXor, Ceil, Comparative, ComplexPFMC, Conjugate, Cosine, CosineH, Cross, Divide, Dot, Ele, Exp, ExtendedOperatorSet.Factorial, Floor, If, Imaginary, LazyLogical, List, Logarithm, LogBase2, Logical, LShift, MacroFunction, MinMax, Modulus, Multiply, NaturalLogarithm, Not, OpEquals, Polar, PostDec, PostfixMathCommand, PostInc, Power, PreDec, PreInc, Random, Real, Round, RShift, Sine, SineH, SquareRoot, Str, StrictNaturalLogarithm, Subtract, Sum, Tangent, TanH, TernaryConditional, UMinus, URShift

    public interface PostfixMathCommandI

extends java.io.Serializable

All function classes must implement this interface to ensure that the run() method is implemented.

Method Summary
`boolean` | `checkNumberOfParameters(int n)` Checks the number of parameters of the function.
`int` | `getNumberOfParameters()` Returns the number of required parameters, or -1 if any number of parameters is allowed.
`void` | `run(java.util.Stack<java.lang.Object> aStack)` Run the function on the stack.
`void` | `setCurNumberOfParameters(int n)` Sets the number of current number of parameters used in the next call of run().

Method Detail

### run

    void run(java.util.Stack<java.lang.Object> aStack)
             throws EvaluationException

  Run the function on the stack. Pops the arguments from the stack, and pushes the result on the top of the stack.

  Throws:
    `EvaluationException`

### getNumberOfParameters

    int getNumberOfParameters()

  Returns the number of required parameters, or -1 if any number of parameters is allowed.

### setCurNumberOfParameters

    void setCurNumberOfParameters(int n)

  Sets the number of current number of parameters used in the next call of run(). This method is only called when the reqNumberOfParameters is -1.

### checkNumberOfParameters

    boolean checkNumberOfParameters(int n)

  Checks the number of parameters of the function. This method is called during the parsing of the equation to check syntax. Functions which set numberOfParameter=-1 should overwrite this method.

  Parameters:
    `n` - number of parameters function will be called with.
  Returns:
    False if an illegal number of parameters is supplied, true otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep